Kerbal Space Program - Bug #3856

Settings file is being reset when launching a new instance of the game
12/16/2014 02:33 PM - Baleine

Status: Closed Start date: 12/16/2014
Severity: Low % Done: 100%
Assignee:

Category: Application

Target version:

Version: 0.90 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

| open the game without a settings.cfg.
When | launch the game a standard settings is being created with read-write permissions for the current user (that is all right)

Go to settings and change some stuff (for example | set resolution to 1920x1080 and activated fullscreen)
Close the game and run it again.

Go to settings. At this precise moment, the settings.cfg is overwritten with standard settings info.

Related issues:
Related to Kerbal Space Program - Bug #4918: Gamepad corrupts settings file /... Closed 05/04/2015

History

#1 - 12/16/2014 02:56 PM - RexKramer

Are you clicking the Apply or Accept buttons before exiting settings?

#2 - 12/16/2014 03:03 PM - Baleine

Of course | saved the settings after the first changes.
| have edited the file to check its content and | saw the changes | made.

#3 - 12/18/2014 12:48 PM - Baleine
Okay, I've spotted the problem. It's purely a problem of locale

Here's an except of the player.log produced when | load the game :
KSP Version]: 0.90.0.0 (LinuxPlayer) BETA

(Filename: /BuildAgent/work/d63dfc6385190b60/artifacts/LinuxStandalonePlayerGenerated/UnityEngineDebug.cpp Line: 49)
FormatException: Unknown char: .

at System.Double.Parse (System.String s, NumberStyles style, IFormatProvider provider) [0x00000] in <filename unknown>:0
at System.Single.Parse (System.String s) [0x00000] in <filename unknown>:0

at AxisBinding.Load (.ConfigNode node) [0x00000] in <filename unknown>:0

at GameSettings.ParseCfg () [0x00000] in <filename unknown>:0

at GameSettings.Awake () [0x00000] in <filename unknown>:0

However, when setting environment variable LC_ALL=C, settings are properly loaded and shown in Settings scene.

I'm sorry. | should have checked the player.log previously.

#5 - 05/14/2015 12:43 PM - Squelch

- Status changed from New to Confirmed

- % Done changed from 0 to 10

While | cannot confirm this directly, evidence from #4918#note-5 supports this, and it appears to affect Linux and OSX

#6 - 05/14/2015 12:43 PM - Squelch
https://bugs.kerbalspaceprogram.com/issues/4918#note-5

- Related to Bug #4918: Gamepad corrupts settings file / resets every time starting KSP added

#7 - 07/29/2015 03:32 PM - kalle

| have this problem on a fresh install from Steam on Linux.

Default locale is LANG=sv_SE.UTF-8

Export LC_ALL=C before launching steam resolves the issue. Maybe it's the locale's decimal comma that trips the parser?

#8 - 07/29/2015 08:37 PM - Baleine

The easiest "fire and forget solution" if you launch the game from steam is to set the game launch options (accessible in game properties) to :
"LC_ALL=C command"

If not with steam, you can create a sh script to run the game.

Since the team doesn't seems to care about that locale minor issue, this ticket should probably be closed.

#9 - 07/30/2015 12:24 AM - Squelch

Baleine wrote:

The easiest "fire and forget solution" if you launch the game from steam is to set the game launch options (accessible in game properties) to :
"LC_ALL=C command"

If not with steam, you can create a sh script to run the game.

That workaround is the recommended course of action for now.

Since the team doesn't seems to care about that locale minor issue, this ticket should probably be closed.

That is far from the case, and a read of the recent DevNotes will reveal localisations are being worked on.

#10 - 11/20/2015 11:58 AM - sal_vager
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

This is resolved in the current build, 1028, as it was being caused by controller axis/button bindings throwing exceptions.

#11 - 07/17/2016 09:19 AM - TriggerAu

- Status changed from Resolved to Closed
